docs

Create a tax rate

Creates a reusable tax rate. The percentage and the inclusive setting cannot be changed later.

POST
/tax-rates

Creates a reusable tax rate. The percentage and the inclusive setting cannot be changed later.

AuthorizationBearer <token>

API key for merchant integrations. Send as Authorization: Bearer <your key>.

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/tax-rates" \  -H "Content-Type: application/json" \  -d '{    "displayName": "string",    "percentage": 1,    "inclusive": true  }'
{  "id": "txr_3Nf8a2kLmPq9",  "object": "tax_rate",  "displayName": "VAT",  "displayNameAr": "string",  "percentage": 14,  "inclusive": true,  "description": "string",  "active": true,  "metadata": {    "property1": null,    "property2": null  },  "merchantId": "string",  "createdAt": "string",  "updatedAt": "string"}